<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC
    "-//Hibernate/Hibernate Mapping DTD 2.0//EN"
    "http://hibernate.sourceforge.net/hibernate-mapping-2.0.dtd" >
    
<hibernate-mapping>
<!-- 
    Created by the Middlegen Hibernate plugin 2.1

    http://boss.bekk.no/boss/middlegen/
    http://www.hibernate.org/
-->

<class 
    name="cn.com.xunuo.model.Lead" 
    table="lead"
>
    <meta attribute="class-description" inherit="false">
       @hibernate.class
        table="lead"
    </meta>

    <id
        name="id"
        type="java.lang.String"
        column="id"
        unsaved-value="null"
    >
        <meta attribute="field-description">
           @hibernate.id
            generator-class="uuid.hex"
            type="java.lang.String"
            column="id"

        </meta>
        <generator class="uuid.hex" />
    </id>

    <property
        name="name"
        type="java.lang.String"
        column="name"
        length="50"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="name"
            length="50"
        </meta>    
    </property>

    <property
        name="duty"
        type="java.lang.String"
        column="duty"
        length="50"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="duty"
            length="50"
        </meta>    
    </property>

    <property
        name="parentid"
        type="java.lang.String"
        column="parentid"
        length="50"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="parentid"
            length="50"
        </meta>    
    </property>

    <property
        name="job"
        type="java.lang.String"
        column="job"
        length="2147483647"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="job"
            length="2147483647"
        </meta>    
    </property>

    <property
        name="resume"
        type="java.lang.String"
        column="resume"
        length="2147483647"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="resume"
            length="2147483647"
        </meta>    
    </property>

    <property
        name="photo"
        type="java.lang.String"
        column="photo"
        length="50"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="photo"
            length="50"
        </meta>    
    </property>

    <property
        name="email"
        type="java.lang.String"
        column="email"
        length="200"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="email"
            length="200"
        </meta>    
    </property>

    <property
        name="serialnumber"
        type="java.lang.Long"
        column="serialnumber"
        length="38"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="serialnumber"
            length="38"
        </meta>    
    </property>

    <property
        name="status"
        type="java.lang.Integer"
        column="status"
        length="4"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="status"
            length="4"
        </meta>    
    </property>

    <property
        name="havefile"
        type="java.lang.Integer"
        column="havefile"
        length="4"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="havefile"
            length="4"
        </meta>    
    </property>

    <property
        name="isindex"
        type="java.lang.Integer"
        column="isindex"
        length="4"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="isindex"
            length="4"
        </meta>    
    </property>


    <!-- Associations -->
  

</class>
</hibernate-mapping>



